Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.resources.converter
Class AlternateAnnotationCreatorVisitor

    java.lang.Object
      com.google.gwt.resources.css.ast.CssVisitor
          com.google.gwt.resources.converter.AlternateAnnotationCreatorVisitor

    public class AlternateAnnotationCreatorVisitor

extends com.google.gwt.resources.css.ast.CssVisitor

Visitor that adds @alternate annotations where required in CSSRules.

Field Summary

Fields inherited from class com.google.gwt.resources.css.ast.CssVisitor
`UNMODIFIABLE_CONTEXT`

Constructor Summary
`AlternateAnnotationCreatorVisitor()`

Method Summary
`boolean` | `visit(com.google.gwt.resources.css.ast.CssRule x, com.google.gwt.resources.css.ast.Context ctx)`
`boolean` | `visit(com.google.gwt.resources.css.ast.CssSprite x, com.google.gwt.resources.css.ast.Context ctx)`

Methods inherited from class com.google.gwt.resources.css.ast.CssVisitor
`accept, accept, acceptWithInsertRemove, doAccept, doAccept, doAcceptWithInsertRemove, doTraverse, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlternateAnnotationCreatorVisitor

    public AlternateAnnotationCreatorVisitor()

Method Detail

### visit

    public boolean visit(com.google.gwt.resources.css.ast.CssRule x,
                         com.google.gwt.resources.css.ast.Context ctx)

  Overrides:
    `visit` in class `com.google.gwt.resources.css.ast.CssVisitor`

### visit

    public boolean visit(com.google.gwt.resources.css.ast.CssSprite x,
                         com.google.gwt.resources.css.ast.Context ctx)

  Overrides:
    `visit` in class `com.google.gwt.resources.css.ast.CssVisitor`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD